# xarray.Dataset.dropna

`Dataset.``dropna`(dim, how='any', thresh=None, subset=None)

  Returns a new dataset with dropped labels for missing values along the provided dimension.

  Parameters:

  dim : str

  > Dimension along which to drop missing values. Dropping along multiple dimensions simultaneously is not yet supported.

  how : {‘any’, ‘all’}, optional

  > - any : if any NA values are present, drop that label
  > - all : if all values are NA, drop that label

  thresh : int, default None

  > If supplied, require this many non-NA values.

  subset : sequence, optional

  > Subset of variables to check for missing values. By default, all variables in the dataset are checked.

  Returns: | Dataset